Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
f92a9e79
Commit
f92a9e79
authored
Sep 14, 2016
by
Ilya WingedFox Lebedev
Committed by
Ilya WingedFox Lebedev
Sep 14, 2016
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Fixed downloading of flannel 0.6.x releases, 0.5.x works as well
parent
b77e2728
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
11 additions
and
6 deletions
+11
-6
download-release.sh
cluster/ubuntu/download-release.sh
+11
-6
No files found.
cluster/ubuntu/download-release.sh
View file @
f92a9e79
...
...
@@ -22,22 +22,27 @@ set -e
function
cleanup
{
# cleanup work
rm
-rf
flannel
*
kubernetes
*
etcd
*
binaries
rm
-rf
flannel
*
kubernetes
*
etcd
*
binaries
out
}
trap
cleanup SIGHUP SIGINT SIGTERM
pushd
$(
dirname
$0
)
mkdir
-p
binaries/master
mkdir
-p
binaries/minion
mkdir
-p
out
# flannel
FLANNEL_VERSION
=
${
FLANNEL_VERSION
:-
"0.5.5"
}
echo
"Prepare flannel
${
FLANNEL_VERSION
}
release ..."
grep
-q
"^
${
FLANNEL_VERSION
}
\$
"
binaries/.flannel 2>/dev/null
||
{
curl
-L
https://github.com/coreos/flannel/releases/download/v
${
FLANNEL_VERSION
}
/flannel-
${
FLANNEL_VERSION
}
-linux-amd64
.tar.gz
-o
flannel.tar.gz
tar
xzf flannel.tar.gz
cp
flannel-
${
FLANNEL_VERSION
}
/flanneld binaries/master
cp
flannel-
${
FLANNEL_VERSION
}
/flanneld binaries/minion
(
curl
--fail
-L
https://github.com/coreos/flannel/releases/download/v
${
FLANNEL_VERSION
}
/flannel-
${
FLANNEL_VERSION
}
-linux-amd64
.tar.gz
-o
flannel.tar.gz
&&
tar
xzf flannel.tar.gz flannel-
${
FLANNEL_VERSION
}
/flanneld
-O
>
out/flanneld
)
||
(
curl
--fail
-L
https://github.com/coreos/flannel/releases/download/v
${
FLANNEL_VERSION
}
/flannel-v
${
FLANNEL_VERSION
}
-linux-amd64
.tar.gz
-o
flannel.tar.gz
&&
tar
xzf flannel.tar.gz flanneld
-O
>
out/flanneld
)
cp
out/flanneld binaries/master
cp
out/flanneld binaries/minion
echo
${
FLANNEL_VERSION
}
>
binaries/.flannel
}
...
...
@@ -85,7 +90,7 @@ grep -q "^${KUBE_VERSION}\$" binaries/.kubernetes 2>/dev/null || {
echo
${
KUBE_VERSION
}
>
binaries/.kubernetes
}
rm
-rf
flannel
*
kubernetes
*
etcd
*
rm
-rf
flannel
*
kubernetes
*
etcd
*
out
echo
"Done! All your binaries locate in kubernetes/cluster/ubuntu/binaries directory"
popd
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment